Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BOA

    java.lang.Object
      |
      +--org.omg.CORBA.BOA

Direct Known Subclasses:
  BOA

public abstract class BOA
extends java.lang.Object

This class describes available operations for BOA.

Author:
  Jerome Daniel

Constructor Summary
`BOA()`

Method Summary
`abstract void` | `connect(ObjectImpl obj)` Connect an object to the BOA
`abstract void` | `connect(ObjectImpl obj, java.lang.String name)` Connect and object and provide its key
`abstract void` | `deactivate_impl()` Stop the BOA
`abstract void` | `deactivate_obj(ObjectImpl obj)` Deactivate an object
`abstract void` | `disconnect(ObjectImpl obj)` Disconnect an object.
`abstract void` | `forward(ObjectImpl objOld, ObjectImpl objNew)` This operation is used to forward an object.
`abstract void` | `impl_is_ready()` Run the BOA ( this operation never returns ).
`static BOA` | `init(ORB orb, java.lang.String[] args)` Initialize BOA
`abstract void` | `obj_is_ready(ObjectImpl obj)` Activate an object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BOA

    public BOA()

Method Detail

### init

    public static BOA init(ORB orb,
                           java.lang.String[] args)

  Initialize BOA

### connect

    public abstract void connect(ObjectImpl obj)

  Connect an object to the BOA

### connect

    public abstract void connect(ObjectImpl obj,
                                 java.lang.String name)

  Connect and object and provide its key

### forward

    public abstract void forward(ObjectImpl objOld,
                                 ObjectImpl objNew)

  This operation is used to forward an object.

### disconnect

    public abstract void disconnect(ObjectImpl obj)

  Disconnect an object.

### impl_is_ready

    public abstract void impl_is_ready()

  Run the BOA ( this operation never returns ).

### obj_is_ready

    public abstract void obj_is_ready(ObjectImpl obj)

  Activate an object.

### deactivate_obj

    public abstract void deactivate_obj(ObjectImpl obj)

  Deactivate an object

### deactivate_impl

    public abstract void deactivate_impl()

  Stop the BOA

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD